#include "libbb.h"

const char *applet_name;

void bb_show_usage(void) { xfunc_die(); }
void FAST_FUNC kill_myself_with_sig(int sig){ abort(); }
void BUG_sizeof(void) { abort(); }

static unsigned long long ret_ERANGE(void)
{
	errno = ERANGE; /* this ain't as small as it looks (on glibc) */
	return ULLONG_MAX;
}

static unsigned long long handle_errors(unsigned long long v, char **endp)
{
	char next_ch = **endp;

	/* errno is already set to ERANGE by strtoXXX if value overflowed */
	if (next_ch) {
		/* "1234abcg" or out-of-range? */
		if (isalnum(next_ch) || errno)
			return ret_ERANGE();
		/* good number, just suspicious terminator */
		errno = EINVAL;
	}
	return v;
}

char* FAST_FUNC uid2uname_utoa(uid_t uid)
{
	errno = ENOSYS;
	return NULL;
}

char* FAST_FUNC gid2group_utoa(gid_t gid)
{
	errno = ENOSYS;
	return NULL;
}
